Fehler bei Update auf 0.34.0 - An error occurred while uninstalling


#1

Guten Tag,

seit einiger Zeit werden bei mir keine Kurse mehr aktualisiert und keine Updates mehr ausgeführt.
Folgender Fehler wird angezeigt:

Fehler beim Update.
Ursache: An error occurred while collecting items to be installed

An error occurred while unconfiguring the items to uninstall
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Unconfigure, operand=[R]name.abuchen.portfolio.ui 0.31.0 --> [R]name.abuchen.portfolio.ui 0.34.0, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.SetStartLevelAction).
Could not acquire the framework manipulator service.
Could not acquire the framework manipulator service.

Ich nutze ein Windows 10 Betriebsystem 64 bit.
Desweiteren sind jdk1.8.0_112 und jre1.8.0_112 installiert

Die Vorschläge in Eclipse Foren halfen mir leider nicht weiter. Wie kann ich den Fehler beheben und die Updates ausführen?

Danke für eure Hilfe und Anregungen!

Mit freundlichen Grüßen
Edgar Hoffmann


Kein Update mehr möglich
#2

Guten Morgen Edgar,

das Problem dürfte mit deiner zu alten Java Version zusammen hängen. Installiere bitte A) Java 8 mit Revision 181 und B) lade dir PP erneut herunter.

Tritt der Fehler jetzt immer noch auf?

Gruß
Marco


#3

Hallo Marco,

vielen Dank für deine Hilfe! Es hat geklappt:)

Freundliche Grüße

Edgar Hoffmann